package lmntaleditor.mcprofiler;

import java.awt.Graphics;
import java.awt.GridLayout;
import java.text.DecimalFormat;

import javax.swing.JLabel;
import javax.swing.JPanel;

public class MCProfileLabelPanel extends JPanel{

	MCProfilePanel profile;
	private JLabel speed;
	private JLabel par;
	private JLabel end;
	private JLabel clock;

	MCProfileLabelPanel(MCProfilePanel p){
		profile = p;

		setLayout(new GridLayout(1,4));

		speed = new JLabel();
		speed.setHorizontalAlignment(JLabel.RIGHT);
		add(speed);

		par = new JLabel();
		par.setHorizontalAlignment(JLabel.RIGHT);
		add(par);

		end = new JLabel();
		end.setHorizontalAlignment(JLabel.RIGHT);
		add(end);

		clock = new JLabel();
		clock.setHorizontalAlignment(JLabel.RIGHT);
		add(clock);

		update();

	}

	//åɥ
	public void update(){
		javax.swing.SwingUtilities.invokeLater(new Runnable(){public void run() {
			int r1 = 0;
			if(profile.timeLine.size()>1){
				r1 = profile.allState.size()/profile.timeLine.size();
			}
			double r2 = 0;
			final DecimalFormat f2 = new DecimalFormat("###.#");
			if(profile.allState.size()>0){
				r2 = profile.hashConflict*100/(double)profile.allState.size();
			}
			int r3 = 0;
			if(profile.suces.get(0)!=null){
				r3 = profile.suces.get(0).size();
			}
			int r4 = 0;
			if(profile.timeLine.size()>1){
				r4 = profile.timeLine.size()-1;
			}
			speed.setText(" Speed : "+r1+" state/sec ");
			par.setText(" Conflict : "+f2.format(r2)+" % ");
			end.setText(" End State : "+r3+" ");
			clock.setText(" Clock : "+r4+" sec ");
		}});
	}

}
