package lmntaleditor.option;

import javax.swing.BoxLayout;
import javax.swing.JPanel;

public class OptionPanel extends JPanel {
	
	private OptionLMNtalPanel optionLMNtalPanel;
	private OptionSlimPanel optionSlimPanel;
	private FontSettingPanel fontSettingPanel;
	private EncodingSettingPanel encodingSettingPanel;
	private EditorColorPanel editorColorPanel;
	private GeneralSettingPanel generalSettingPanel;
	
	public OptionPanel(){
		
		setLayout(new BoxLayout(this,BoxLayout.PAGE_AXIS));
		
		optionLMNtalPanel = new OptionLMNtalPanel();
		add(optionLMNtalPanel);
		
		optionSlimPanel = new OptionSlimPanel();
		add(optionSlimPanel);
		
		fontSettingPanel = new FontSettingPanel();
		add(fontSettingPanel);
		
		encodingSettingPanel = new EncodingSettingPanel();
		add(encodingSettingPanel);
		
		editorColorPanel = new EditorColorPanel();
		add(editorColorPanel);
		
		generalSettingPanel = new GeneralSettingPanel();
		add(generalSettingPanel);
	}
	
	
}
