package lmntaleditor.system;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JSplitPane;

import lmntaleditor.util.CommonFontUser;

public class SystemPanel extends JPanel {

	public JSplitPane jsp;
	public OutputPanel outputPanel;
	public LogPanel logPanel;

	public SystemPanel(){
		setLayout(new BorderLayout());

		outputPanel = new OutputPanel();
		logPanel = new LogPanel();

		jsp = new JSplitPane(JSplitPane.VERTICAL_SPLIT,outputPanel,logPanel);
		jsp.setOneTouchExpandable(true);
        jsp.setResizeWeight(0.7);

        add(jsp, BorderLayout.CENTER);
	}
}
