package lmntaleditor.util;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.undo.UndoManager;

public class SimpleUndoKeyListener implements KeyListener {

	UndoManager undoManager;

	public SimpleUndoKeyListener(UndoManager undoManeger){
		this.undoManager = undoManeger;
	}
	public void keyPressed(KeyEvent e) {
		if(e.isControlDown()&&e.getKeyCode()==KeyEvent.VK_Z&&undoManager.canUndo()){
			undoManager.undo();
			e.consume();
		}else if(e.isControlDown()&&e.getKeyCode()==KeyEvent.VK_Y&&undoManager.canRedo()){
			undoManager.redo();
			e.consume();
		}
	}
	public void keyReleased(KeyEvent e) {}
	public void keyTyped(KeyEvent e) {}

}
